Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040776
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] 09. Financial managementminorhave not tried2019-04-10 12:352019-05-10 08:37
ReportershuehnerView Statuspublic 
Assigned ToTriage Finance 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q1.2
StatusclosedFix in branchFixed in SCM revision4158c90d38b2
ProjectionnoneETAnoneTarget Version3.0PR19Q1.2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040776: ResetAccounting.hasProcessing is not using bind-parameters

DescriptionThis code is not using bind-params:

    String hql = " select count(*) from ADColumn where table.id = '" + strTableId + "' "
        + " and lower(dBColumnName) = 'processing'";
    Query<Long> query = OBDal.getInstance().getSession().createQuery(hql, Long.class);
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0040579 closedTriage Finance ResetAccounting.hasProcessing is not using bind-parameters 

-  Notes
(0111609)
hgbot (developer)
2019-05-10 08:34

Repository: erp/backports/3.0PR19Q1.2
Changeset: 4158c90d38b2d39f0de6ffd715075c3cf7c0fb4d
Author: Nono Carballo <nonofce <at> gmail.com>
Date: Mon Apr 22 16:23:50 2019 -0400
URL: http://code.openbravo.com/erp/backports/3.0PR19Q1.2/rev/4158c90d38b2d39f0de6ffd715075c3cf7c0fb4d [^]

Fixes issue 40776: Uses bind parameters in query

Instead of using string concatenation in query, bind parameters are used.

---
M src/org/openbravo/financial/ResetAccounting.java
---
(0111611)
Sandrahuguet (developer)
2019-05-10 08:37

code review + testing ok

- Issue History
Date Modified Username Field Change
2019-05-04 17:17 nonofrancisco Type defect => backport
2019-05-04 17:17 nonofrancisco Target Version => 3.0PR19Q1.1
2019-05-06 08:30 Sandrahuguet Target Version 3.0PR19Q1.1 => 3.0PR19Q1.2
2019-05-10 08:34 hgbot Checkin
2019-05-10 08:34 hgbot Note Added: 0111609
2019-05-10 08:34 hgbot Status scheduled => resolved
2019-05-10 08:34 hgbot Resolution open => fixed
2019-05-10 08:34 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR19Q1.2/rev/4158c90d38b2d39f0de6ffd715075c3cf7c0fb4d [^]
2019-05-10 08:37 Sandrahuguet Review Assigned To => Sandrahuguet
2019-05-10 08:37 Sandrahuguet Note Added: 0111611
2019-05-10 08:37 Sandrahuguet Status resolved => closed
2019-05-10 08:37 Sandrahuguet Fixed in Version => 3.0PR19Q1.2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker